# Maintainer: Yann Büchau <nobodyinperson@posteo.de>
pkgname=python-com-file-generator-git
pkgver=1.0.0.r2.g34feba6
pkgrel=1
epoch=
pkgdesc="Generate Jens-style com.txt files from an email folder"
arch=(any)
url="https://gitlab.com/tue-umphy/software/com-file-generator"
license=('GPL')
groups=()
depends=(python-click python-imap-tools python-tqdm)
makedepends=(python-setuptools)
checkdepends=()
optdepends=()
provides=("${pkgname%-git}")
conflicts=("${pkgname%-git}")
replaces=("${pkgname%-git}")
backup=()
options=()
install=
changelog=
source=("${pkgname%-git}::git+$url")
noextract=()
md5sums=(SKIP)
validpgpkeys=()

pkgver () {
    cd "$srcdir/${pkgname%-git}"
	git describe --long --tags | sed 's/\([^-]*-g\)/r\1/;s/-/./g;s/^v//'
}

build () {
    cd "$srcdir/${pkgname%-git}"
    python setup.py build
}

package () {
    cd "$srcdir/${pkgname%-git}"
    export PYTHONHASHSEED=0
    python setup.py install --root="$pkgdir" --optimize=1 --skip-build
}
